// priority: 0

// Visit the wiki for more info - https://kubejs.com/

console.info('Hello, World! (Loaded server scripts)')

ServerEvents.recipes(event => {
	event.replaceInput(
 	 { output: 'celestisynth:celestial_crafting_table' },
 	 'minecraft:netherite_block',
	  '#spooky:necrotic_metals'
	  )

	event.remove({output: 'celestisynth:supernal_netherite_ingot'})
	event.remove({id: 'omnis:haunted_steel_ingot'})



	event.shapeless('omnis:haunted_steel_ingot', ['omnis:ravaged_metal','#spooky:souls','omnis:tear_of_vex','omnis:tear_of_vex','omnis:tear_of_vex','omnis:tear_of_vex','omnis:tear_of_vex','omnis:tear_of_vex','omnis:tear_of_vex'])

	event.shaped('celestisynth:supernal_netherite_ingot', [
    'SSS',
    'SCN',
    'NNN'
  ], {
    S: 'minecraft:netherite_scrap',
    N: '#spooky:necrotic_metals',
    C: 'celestisynth:celestial_core'
  })
  event.shaped('born_in_chaos_v1:holiday_candy', [
    'SSS',
    'PPP',
    'CCC'
  ], {
    S: 'minecraft:sugar',
    P: '#spooky:pumpkins',
    C: 'minecraft:sunflower'
  })

})



ServerEvents.tags('item', event => {
	event.add('spooky:necrotic_metals', 'minecraft:netherite_ingot')
	event.add('spooky:necrotic_metals', 'born_in_chaos_v1:dark_metal_ingot')
	event.add('spooky:necrotic_metals', 'omnis:haunted_steel_ingot')
	event.add('spooky:necrotic_metals', 'undead_unleashed:grave_metal_ingot')
	event.add('spooky:souls', 'undead_unleashed:lost_soul')
	event.add('spooky:souls', 'born_in_chaos_v1:ethereal_spirit')
	event.add('spooky:souls', 'born_in_chaos_v1:spiritinabottle')
	event.add('spooky:pumpkins', 'born_in_chaos_v1:cultivated_pumpkin')
	event.add('spooky:pumpkins', 'autumnity:large_pumpkin_slice')
	event.add('spooky:pumpkins', 'minecraft:pumpkin')
	event.add('spooky:pumpkins', 'minecraft:red_tulip')
	event.add('spooky:pumpkins', 'minecraft:orange_tulip')
	event.add('spooky:pumpkins', 'minecraft:white_tulip')
	event.add('spooky:pumpkins', 'minecraft:pink_tulip')
})